#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-2nCW7gVWkmiElyW1rlUD2G
key:                  hOpenPGP-2.9.8-2nCW7gVWkmiElyW1rlUD2G
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  c4e9ad842950aea510e331b649adb046
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-2nCW7gVWkmiElyW1rlUD2G
depends:
    aeson-2.1.0.0-4XirMn5QqAHAmKKHmKcjY6
    asn1-encoding-0.9.6-Bt6KnevcKfmGxeK3CjmKEN
    attoparsec-0.14.4-9IH2L6miCIy2xrqYTi2NtA base-4.15.1.0
    base16-bytestring-1.0.2.0-FuKpgH3hiHmGF8OBxDTrdW
    bifunctors-5.5.13-BLnwFzjri7wEMSjgBN9u8E binary-0.8.8.0
    binary-conduit-1.3.1-KFOeqHoBJEvFhKVsoDSyps bytestring-0.10.12.1
    bz2-1.0.1.0-WeU49Pe3GMAMeZXOnXrLo
    conduit-1.3.4.3-5UhEv2ghlKwLr1hbI9gelT
    conduit-extra-1.3.6-3fDT0PQ5GW1IzhmeoStWKU containers-0.6.4.1
    crypto-cipher-types-0.0.9-8dNq76lIVvq61pUzJfYm3b
    cryptonite-0.30-ATVl7QapHZS9RRZ445MyBy
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.1.0-1IYtrJkqGO3FBsSvXBzaLr
    incremental-parser-0.5.0.4-L7byQkZQpO89I9BTAU9yLq
    ixset-typed-0.5.1.0-Gw50XBW7jEJAFeYNyaySDr
    lens-5.1.1-IekMBpEpAIbC7sbNx14SXT
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-8qVdvaF51A3AJM581PImaL
    network-uri-2.6.4.1-DK574ArzyuHIMsQqcen8XH
    openpgp-asciiarmor-0.1.2-KtlTCPfMCedD2yluI5c4P3
    prettyprinter-1.7.1-2BtxggNSxWD7RPkNHcxfoZ
    resourcet-1.2.6-AF69Hb5CLG2FlNhGMF7ht
    split-0.2.3.5-LKOrts4ugNs7HOmB371KGw text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-FjtN46r9B8VFoR43GpqwkA
    zlib-0.6.3.0-ASkwAfTzdD6IlY6OtD1xLy

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

